function setmarkermap
%  

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global custommarkermap

if ~isempty(get(gco,'Value')) 
    if get(gco,'Value')==2
        
        markermap=inputdlg('Bitte geben Sie die zu verwendenden Symbole kommagetrennt an','Customsymbole:',1);
        markermapstring=markermap{1};
        kommata=findstr(markermapstring,',');
        custommarkermap{1}=markermapstring(1:kommata(1)-1);
        for k=1:length(kommata)-1
            custommarkermap{k+1}=markermapstring(kommata(k)+1:kommata(k+1)-1);
        end
        custommarkermap{length(kommata)+1}=markermapstring(kommata(length(kommata))+1:end);
        
    end
end

return
        